## Apache Zeta Components Manual :: Docs For Class ezcWebdavStringDisplayInformation

### Webdav::ezcWebdavStringDisplayInformation

### Class ezcWebdavStringDisplayInformation

Display information with string body.

Used by ezcWebdavTransport to transport information on displaying a response to the browser. This display information carries a string body.

Source for this file: /Webdav/src/structs/display_information_string.php

    ezcWebdavDisplayInformation
       |
       --ezcWebdavStringDisplayInformation

Version: | //autogentag//

### Member Variables

public string | `$body` Representation of the response body.
public ezcWebdavResponse | `$response` Response object to extract headers from.

### Method Summary

public void | `__construct( $response , $body )` Creates a new display information object.

### Inherited Methods

From ezcWebdavDisplayInformation
public void | `ezcWebdavDisplayInformation::__construct()` Creates a new display information.

### Methods

#### __construct

void __construct( ezcWebdavResponse $response , string $body )

Creates a new display information object.

This display information must be created with a string $body.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$response` | ezcWebdavResponse |
`$body` | string |

##### Redefinition of:

Method | Description
--- | ---
`ezcWebdavDisplayInformation::__construct()` | Creates a new display information.

Documentation generated by phpDocumentor 1.4.3